Bug report #21140

Failed Connected in Geonode Instance

Added by João Gaspar over 1 year ago. Updated over 1 year ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Data Provider/GeoNode
Affected QGIS version:3.4.4 Regression?:No
Operating System:Win10 an Win7 64-bits Easy fix?:No
Pull Request or Patch supplied:No Resolution:duplicate
Crashes QGIS or corrupts data:No Copied to github as #:28958

Description

Following this video
[[https://www.youtube.com/watch?v=I3j-9_AxpEo&t=166s]] and using the demo link: [[http://demo.geonode.org]] or using the new site [[http://master.demo.geonode.org]] had a result a failed connection.

Tested in QGIS 3.2 and QGIS 3.4.4 and have the same behaviour.

Can anyone give feedback if it is a regression or the above link is incorrectly.


Related issues

Duplicates QGIS Application - Bug report #21093: GeoNode API requests require a stronger minor version par... Closed 2019-01-25

Associated revisions

Revision 440f8d4c
Added by Alexander Bruy over 1 year ago

[geonode] more robust version string parsing (fix #21093, #21140)

Revision 3d12f834
Added by Alexander Bruy over 1 year ago

[geonode] more robust version string parsing (fix #21093, #21140)

(cherry picked from commit 440f8d4cbb655942f868dde9ab23b0cc5d69c3b2)

History

#1 Updated by Alexander Bruy over 1 year ago

Probably related to #21093

#2 Updated by Giovanni Manghi over 1 year ago

  • Status changed from Open to Feedback

#3 Updated by João Gaspar over 1 year ago

I confirm. This issue is related with #21093

When I try to add with master give me a warning in the log:

2019-01-31T12:10:24     WARNING    Request failed: Error transferring http://dev.geonode.geo-solutions.it/api/layers//api/layers/ - server replied: Not Found
2019-01-31T12:13:05     WARNING    Failed, empty layers

#4 Updated by Alexander Bruy over 1 year ago

  • Related to Bug report #21093: GeoNode API requests require a stronger minor version parsing added

#5 Updated by Giovanni Allegri over 1 year ago

Yes Joao, it's the same issue as in #21093. Anyway from the log you're showing it seems that you're setting the <root>/api/layers URL for the connection, while only the <root> URL must be set.

#6 Updated by João Gaspar over 1 year ago

Hi Giovanni, yes indeed this was a secondary test when I see #21093 (referenced by Alexander).

Thank you for all your feedback, I will wait for the evolution of this, after the fix I can back again and do the tests if you want.

Cheers,
João

#7 Updated by Alexander Bruy over 1 year ago

  • Status changed from Feedback to Closed
  • Resolution set to duplicate

Duplicates #21093

#8 Updated by Alexander Bruy over 1 year ago

  • Related to deleted (Bug report #21093: GeoNode API requests require a stronger minor version parsing)

#9 Updated by Alexander Bruy over 1 year ago

  • Duplicates Bug report #21093: GeoNode API requests require a stronger minor version parsing added

Also available in: Atom PDF